#include <iostream>

using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    int razlika[n];
    int koef[n+1];
    int sreca=0;
    for(int i=1; i<=n; i++)
    {
        cin >> koef[i];
        razlika[i]=0;
    }
    for(int j=1; j<=m; j++)
    {
        int p,q;
        cin >> p >> q;
        int sreca1 = (razlika[p]+1)*koef[p] + (razlika[q]+1)*koef[q];
        int sreca2 = (razlika[p]-1)*koef[p] + (razlika[q]-1)*koef[q];
        if(sreca1 > sreca2)
        {
            razlika[p]++;
            razlika[q]++;
        }
        else
        {
            razlika[p]--;
            razlika[q]--;
        }
    }
    for(int i=1; i<=n; i++)
        sreca+=razlika[i]*koef[i];
    cout<<sreca;

}